{
  description = "Simple flutter and dart flake, creating the fart stack";
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = {
    flake-utils,
    nixpkgs,
    ...
  }:
    flake-utils.lib.eachDefaultSystem (system: let
      lib = nixpkgs.lib;
      pkgs = import nixpkgs {
        inherit system;
        config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
          "android-studio-stable"
        ];
      };
    in {
      devShell = pkgs.mkShell {
          buildInputs = with pkgs; [
            flutter
            dart
            clang
            cmake
            ninja
            pkg-config
            gtk3
            pcre
            libepoxy
            # For drift
            sqlite
            # For xp overlay
            gtk-layer-shell
            # Dev deps
            libuuid  # for mount.pc
            xorg.libXdmcp.dev
            # python310Packages.libselinux.dev # for libselinux.pc
            libsepol.dev
            libthai.dev
            libdatrie.dev
            libxkbcommon.dev
            dbus.dev
            at-spi2-core.dev
            xorg.libXtst.out
            pcre2.dev
            jdk11
            android-studio
            android-tools
          ];
          LD_LIBRARY_PATH = "${pkgs.sqlite.out}/lib";
          shellHook = ''
            export PATH="$PATH":"$HOME/.pub-cache/bin"
            echo -e "\e[44m                             \e[0m"
            echo "   FartStack Enabled  💨"
            echo -e "\e[44m                             \e[0m"
          '';
        };
    });
}
